Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.handler
Class ContextHandler.SContext

    java.lang.Object
      org.mortbay.jetty.handler.ContextHandler.SContext

All Implemented Interfaces:
  javax.servlet.ServletContext

Direct Known Subclasses:
  Context.SContext

Enclosing class:
  ContextHandler

    public class ContextHandler.SContext

extends java.lang.Object
implements javax.servlet.ServletContext

Context.

Implements `ServletContext` from the `javax.servlet` package.

Author:
  gregw

Constructor Summary
`protected` | `ContextHandler.SContext()`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Enumeration` | `getAttributeNames()`
`javax.servlet.ServletContext` | `getContext(java.lang.String uripath)`
`ContextHandler` | `getContextHandler()`
`java.lang.String` | `getContextPath()`
`java.lang.String` | `getInitParameter(java.lang.String name)`
`java.util.Enumeration` | `getInitParameterNames()`
`int` | `getMajorVersion()`
`java.lang.String` | `getMimeType(java.lang.String file)`
`int` | `getMinorVersion()`
`javax.servlet.RequestDispatcher` | `getNamedDispatcher(java.lang.String name)`
`java.lang.String` | `getRealPath(java.lang.String path)`
`javax.servlet.RequestDispatcher` | `getRequestDispatcher(java.lang.String uriInContext)`
`java.net.URL` | `getResource(java.lang.String path)`
`java.io.InputStream` | `getResourceAsStream(java.lang.String path)`
`java.util.Set` | `getResourcePaths(java.lang.String path)`
`java.lang.String` | `getServerInfo()`
`javax.servlet.Servlet` | `getServlet(java.lang.String name)`
`java.lang.String` | `getServletContextName()`
`java.util.Enumeration` | `getServletNames()`
`java.util.Enumeration` | `getServlets()`
`void` | `log(java.lang.Exception exception, java.lang.String msg)`
`void` | `log(java.lang.String msg)`
`void` | `log(java.lang.String message, java.lang.Throwable throwable)`
`void` | `removeAttribute(java.lang.String name)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextHandler.SContext

    protected ContextHandler.SContext()

Method Detail

### getContextHandler

    public ContextHandler getContextHandler()

### getContext

    public javax.servlet.ServletContext getContext(java.lang.String uripath)

  Specified by:
    `getContext` in interface `javax.servlet.ServletContext`

### getMajorVersion

    public int getMajorVersion()

  Specified by:
    `getMajorVersion` in interface `javax.servlet.ServletContext`

### getMimeType

    public java.lang.String getMimeType(java.lang.String file)

  Specified by:
    `getMimeType` in interface `javax.servlet.ServletContext`

### getMinorVersion

    public int getMinorVersion()

  Specified by:
    `getMinorVersion` in interface `javax.servlet.ServletContext`

### getNamedDispatcher

    public javax.servlet.RequestDispatcher getNamedDispatcher(java.lang.String name)

  Specified by:
    `getNamedDispatcher` in interface `javax.servlet.ServletContext`

### getRealPath

    public java.lang.String getRealPath(java.lang.String path)

  Specified by:
    `getRealPath` in interface `javax.servlet.ServletContext`

### getRequestDispatcher

    public javax.servlet.RequestDispatcher getRequestDispatcher(java.lang.String uriInContext)

  Specified by:
    `getRequestDispatcher` in interface `javax.servlet.ServletContext`

### getResource

    public java.net.URL getResource(java.lang.String path)
                             throws java.net.MalformedURLException

  Specified by:
    `getResource` in interface `javax.servlet.ServletContext`
  Throws:
    `java.net.MalformedURLException`

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String path)

  Specified by:
    `getResourceAsStream` in interface `javax.servlet.ServletContext`

### getResourcePaths

    public java.util.Set getResourcePaths(java.lang.String path)

  Specified by:
    `getResourcePaths` in interface `javax.servlet.ServletContext`

### getServerInfo

    public java.lang.String getServerInfo()

  Specified by:
    `getServerInfo` in interface `javax.servlet.ServletContext`

### getServlet

    public javax.servlet.Servlet getServlet(java.lang.String name)
                                     throws javax.servlet.ServletException

  Specified by:
    `getServlet` in interface `javax.servlet.ServletContext`
  Throws:
    `javax.servlet.ServletException`

### getServletNames

    public java.util.Enumeration getServletNames()

  Specified by:
    `getServletNames` in interface `javax.servlet.ServletContext`

### getServlets

    public java.util.Enumeration getServlets()

  Specified by:
    `getServlets` in interface `javax.servlet.ServletContext`

### log

    public void log(java.lang.Exception exception,
                    java.lang.String msg)

  Specified by:
    `log` in interface `javax.servlet.ServletContext`

### log

    public void log(java.lang.String msg)

  Specified by:
    `log` in interface `javax.servlet.ServletContext`

### log

    public void log(java.lang.String message,
                    java.lang.Throwable throwable)

  Specified by:
    `log` in interface `javax.servlet.ServletContext`

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

  Specified by:
    `getInitParameter` in interface `javax.servlet.ServletContext`

### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

  Specified by:
    `getInitParameterNames` in interface `javax.servlet.ServletContext`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Specified by:
    `getAttribute` in interface `javax.servlet.ServletContext`

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `javax.servlet.ServletContext`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Specified by:
    `setAttribute` in interface `javax.servlet.ServletContext`

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Specified by:
    `removeAttribute` in interface `javax.servlet.ServletContext`

### getServletContextName

    public java.lang.String getServletContextName()

  Specified by:
    `getServletContextName` in interface `javax.servlet.ServletContext`

### getContextPath

    public java.lang.String getContextPath()

  Specified by:
    `getContextPath` in interface `javax.servlet.ServletContext`
  Returns:
    Returns the _contextPath.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.